2

Hey guys I've been working on a site under VS 2017 and sitecore 8.2 with TDS 5.7. I need to work on a different site that's running sitecore 8.1 with TDS 5.5, so I installed VS 2015 in order to install that TDS version, however when I'm trying to deploy I'm getting this error

The IDE is using tasks in C:\Program Files (x86)\MSBuild\HedgehogDevelopment\SitecoreProject\v9.0\HedgehogDevelopment.SitecoreProject.Tasks.dll.

The Build is using tasks in packages\HedgehogDevelopment.TDS.5.5.0.15\build\HedgehogDevelopment.SitecoreProject.Tasks.dll

That dll is version 5.7, Is there a way I can use both versions at the same time? or should I just uninstall the 5.7 in order to use 5.5?

3

As your error shows, there are shared files in your MS Build folder where TDS drops some of its install, so while it usually appears like it is being installed per Visual Studio version, there is actually a small set of files being used by all versions of Visual Studio.

In the past, I have used the 'latest' version as they are usually backwards compatible, but sometimes it will make changes to the XML of the TDS project files that are unwanted. I would recommend installing v5.7 for VS 2015 and seeing what types of changes it tries to make to your solution right away. If they are minimal, you might find it to be easier to work that way.

  • 1
    Ok I tried this and it worked, so I guess I'll just hope nobody cares about updating tds. Thanks – Ceps Sep 26 '18 at 13:34

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.